summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* app-eselect/eselect-lua: Stabilize 4-r1 arm64, #766528Sam James99 min.1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-eselect/eselect-lua: Stabilize 4-r1 arm, #766528Sam James100 min.1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-eselect/eselect-lua: Stabilize 4-r1 sparc, #766528Sam James108 min.1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-eselect/eselect-lua: Stabilize 4-r1 x86, #766528Sam James20 hours1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-eselect/eselect-lua: Stabilize 4-r1 amd64, #766528Sam James20 hours1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-eselect/eselect-unison: fix metadata indentationSam James7 days1-2/+2
| | | | | Package-Manager: Portage-3.0.12.0.2-prefix, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
* app-eselect/eselect-unison: mark ALLARCHESSam James7 days1-0/+1
| | | | | Package-Manager: Portage-3.0.12.0.2-prefix, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
* app-eselect/eselect-unison: fix RedundantDodirSam James7 days1-4/+2
| | | | | Package-Manager: Portage-3.0.12.0.2-prefix, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
* app-eselect/eselect-wxwidgets: drop x86-macosFabian Groffen2021-01-062-4/+4
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-vi: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-scala: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-ruby: drop x86-macosFabian Groffen2021-01-064-8/+8
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-rails: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-python: drop x86-macosFabian Groffen2021-01-063-6/+6
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-postgresql: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-pinentry: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-php: drop x86-macosFabian Groffen2021-01-062-4/+4
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-notify-send: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-mpg123: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-lua: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-lib-bin-symlink: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-java: drop x86-macosFabian Groffen2021-01-062-4/+4
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-fontconfig: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-emacs: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-ctags: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-cdparanoia: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-cblas: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-blas: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-awk: drop x86-macosFabian Groffen2021-01-061-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* */*: Drop most stable hppa keywordsMatt Turner2020-12-3112-12/+12
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* app-eselect/eselect-ruby: drop obsolete keywordsHans de Graaff2020-12-281-1/+1
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
* app-eselect/eselect-ruby: add ruby 3.0 versionHans de Graaff2020-12-282-0/+23
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
* app-eselect/eselect-vi: drop ppc-aix m68k-mintFabian Groffen2020-12-271-1/+1
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-ruby: drop ppc-aix m68k-mintFabian Groffen2020-12-273-3/+3
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-python: drop ppc-aix m68k-mintFabian Groffen2020-12-273-3/+3
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-pinentry: drop ppc-aix m68k-mintFabian Groffen2020-12-271-1/+1
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-lib-bin-symlink: drop ppc-aix m68k-mintFabian Groffen2020-12-271-1/+1
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-fontconfig: drop ppc-aix m68k-mintFabian Groffen2020-12-271-1/+1
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-emacs: drop ppc-aix m68k-mintFabian Groffen2020-12-271-1/+1
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-ctags: drop ppc-aix m68k-mintFabian Groffen2020-12-271-1/+1
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-eselect/eselect-lua: delete symlinks created by older versionsMarek Szuba2020-12-242-2/+21
| | | | | | | | In theory, all the versions of eselect-lua which created those extra symlinks were always masked - but it doesn't really cost one much to try to clean these up and it might make some edge cases easier. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-eselect/eselect-lua: only symlink the executables and the man pagesMarek Szuba2020-12-242-42/+0
| | | | | | | | | Looks like I owe mjo an apology - the reason I hadn't noticed the lua.pc problem he'd described was that I had already patched my eselect-lua to only symlink the binaries and the man pages, which patch I ended up having forgotten to commit during the bump to version 3. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-eselect/eselect-lua: eclass compatibility + minor fixesMarek Szuba2020-12-222-39/+23
| | | | | | | | | | | | | | | | | | | | | | | | | | | 1. Lua implementation names are now similar to allowed values of Lua-target ebuild variables, e.g. "lua5.4" instead of just "5.4". LuaJIT is an exception because the binary it installs is 'luajit-${PV}' rather than just 'luajit', that however is something that will likely have to be addressed in dev-lang/luajit; 2. While removing old man-page symlinks, do not try to account for every possible documentation-compression scheme. Just use a wildcard; 3. Do not create a dangling luac symlink if the chosen implementation is LuaJIT; 4. Sync the shell globs used to create and to remove man-page symlinks. Note that as things stand no lua.1 symlink is created for LuaJIT due to an inconsistency in existing versions of dev-lang/luajit - the binary they install is called 'luajit-${PV}' but the man page is simply 'luajit.1'; 5. Implement the '--if-unset' option in do_set() so that Lua ebuilds can use eselect-lua when no default implementation has been selected yet but leave previously chosen implementation alone; 6. Remove 'update' functionality because it was broken - it would always "upgrade" to LuaJIT if dev-lang/luajit was present. We might re-add this functionality in the future, then again given how incompatible different versions of Lua are perhaps we will not; 7. Fix typo in the name "resolve_target". Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-eselect/eselect-lua: add missing ~arm64 keywordMarek Szuba2020-12-161-1/+1
| | | | | | | Trivial change to an ALLARCH ebuild so don't bother the arm64 arch team with it. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-eselect/eselect-php: Version bump for 0.9.7Brian Evans2020-12-072-0/+39
| | | | | | Includes PHP 8 support Signed-off-by: Brian Evans <grknight@gentoo.org>
* app-eselect/eselect-lua: fix dependencies and maintainer orderWilliam Hubbs2020-12-062-7/+6
| | | | Signed-off-by: William Hubbs <williamh@gentoo.org>
* app-eselect/eselect-lua: do not PDEPEND on Lua implementationsMarek Szuba2020-12-061-18/+4
| | | | | | | | | | | Does not actually depend on Lua, makes it necessary to have every new implementation added to the list, redundant (dev-lang/lua slots already depend on app-eselect/eselect-lua), inconsistent with how other "select your implementation" eselect modules handle dependencies, the LuaJIT alternative was not entirely correct. Closes: https://bugs.gentoo.org/752546 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-eselect/eselect-fontconfig: Keyword 1.1-r1 riscv, #756115Mikle Kolyada2020-12-041-1/+1
| | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-eselect/eselect-xvmc: Keyword 0.4 riscv, #756115Mikle Kolyada2020-12-041-1/+1
| | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-eselect/eselect-repository: ~x64-macos keywordedSam James2020-11-301-1/+1
| | | | | Package-Manager: Portage-3.0.10.2-prefix, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>